com.comtrade.ecm.engine.business.entity.attributes

## Class AttributeDefinitionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.comtrade.ecm.engine.exceptions.EcmException
      - - com.comtrade.ecm.engine.exceptions.EcmSimpleException
        - - com.comtrade.ecm.engine.business.entity.attributes.AttributeDefinitionException

- All Implemented Interfaces:
    java.io.Serializable

      public class AttributeDefinitionException
      extends EcmSimpleException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeDefinitionException(java.lang.String columnName, java.io.Serializable columnValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnName()`
    `java.io.Serializable` | `getColumnValue()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.comtrade.ecm.engine.exceptions.EcmSimpleException

      `addMessages, addMessages, clearMessages, getMessages, setMessages, setMessages, toString, toUnlocalizedString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeDefinitionException

          public AttributeDefinitionException(java.lang.String columnName,
                                              java.io.Serializable columnValue)

  - ### Method Detail

    - #### getColumnName

          public java.lang.String getColumnName()

    - #### getColumnValue

          public java.io.Serializable getColumnValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `EcmSimpleException`